JsonCpp project page | JsonCpp home page

Public Member Functions | Protected Attributes | List of all members
Json::Exception Class Reference

Base class for all exceptions we throw. More...

`#include <json/value.h>`

Inheritance diagram for Json::Exception:
Collaboration diagram for Json::Exception:

## Public Member Functions
| Exception (std::string const &msg)
| ~Exception () throw ()
char const * | what () const throw ()

## Protected Attributes
std::string | msg_

## Detailed Description

Base class for all exceptions we throw.

We use nothing but these internally. Of course, STL can throw others.

Definition at line 55 of file value.h.

## Constructor & Destructor Documentation

## ◆ Exception()

Json::Exception::Exception | ( | std::string const & | msg | ) |

Definition at line 193 of file json_value.cpp.

## ◆ ~Exception()

Json::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 196 of file json_value.cpp.

## Member Function Documentation

## ◆ what()

char const * Json::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 198 of file json_value.cpp.

References msg_.

## Member Data Documentation

## ◆ msg_

std::string Json::Exception::msg_
| protected

Definition at line 61 of file value.h.

Referenced by what().

The documentation for this class was generated from the following files:

- include/json/value.h
- src/lib_json/json_value.cpp